#ifndef _WB_OVERVIEW_PHYSICAL_SCHEMA_H_
#define _WB_OVERVIEW_PHYSICAL_SCHEMA_H_

#include "wb_overview.h"

namespace wb { namespace internal {

  class PhysicalSchemaContentNode;

  class PhysicalSchemaNode : public OverviewBE::ContainerNode
  {
    bool add_new_db_table(WBContext *wb);
    bool add_new_db_view(WBContext *wb);
    bool add_new_db_routine_group(WBContext *wb);
    bool add_new_db_routine(WBContext *wb);
    
  public:
    PhysicalSchemaNode(db_SchemaRef schema);
    virtual void paste_object(WBContext *wb, bec::Clipboard *clip);
    virtual bool is_renameable();
    virtual bool rename(WBContext *wb, const std::string &name);
    virtual bool is_pasteable(bec::Clipboard *clip);
    virtual void delete_object(WBContext *wb);
    virtual bool activate(WBContext *wb);
    virtual bool is_deletable();
    virtual void focus(OverviewBE *sender);
    virtual void refresh();
};


}; };

#endif /* _WB_OVERVIEW_PHYSICAL_SCHEMA_H_ */
